﻿@model List<StarterProjectV2.Models.SlotInfo>
<div class="container-fluid" style="margin-bottom: 0">
    <h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>
    <div class="table-responsive-lg ">
        <table id="mainTable" data-pagination="true" class="table table-hover table-dark" style="margin-bottom: 0">
            <thead class="bg-blue" style="color:white">
                <tr>
                    <th scope="col">View</th>
                    <th scope="col">Edit</th>
                    <th scope="col">
                        Delete
                    </th>
                    <th scope="col">Slot Id</th>
                    <th scope="col">Slot Name</th>
                    <th scope="col">From Date</th>
                    <th scope="col">To Date</th>
                    <th scope="col">Slot Other Definitions</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var slot in Model)
                {
                    <tr>
                        <td>
                            <button type="button"
                                    class="btn btn-light"
                                    data-toggle="tooltip"
                                    data-placement="bottom"
                                    title="View"
                                    onclick="location.href = '@Url.Action("SlotView", "Slot", new { slotId=slot.SlotId})'">
                                <i class="icon-eye">
                                </i>
                            </button>
                        </td>
                        <td>
                            <button type="button"
                                    class="btn btn-light"
                                    data-toggle="tooltip"
                                    data-placement="bottom"
                                    title="Edit"
                                    onclick="location.href='@Url.Action("SlotEdit", "Slot", new { slotId=slot.SlotId})'">
                                <i class="icon-notebook">
                                </i>
                            </button>
                        </td>
                        <td>
                            @using (Html.BeginForm("SlotDelete", "Slot", new { slotId = slot.SlotId }, FormMethod.Post))
                            {
                                <button type="submit"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        onclick="ConfirmDelete()"
                                        title="Delete" onclick="return confirm('Are you sure?')" >
                                    <i class="icon-trash">
                                    </i>
                                </button>
                            }
                        </td>
                        <td>@slot.SlotId</td>
                        <td>@slot.SlotName</td>
                        <td>@slot.FromDate</td>
                        <td>@slot.ToDate</td>
                        <td>@slot.SlotOtherDefinitions</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>
<script ssrc="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    function ConfirmDelete() {
        var x = confirm("Are you sure you want to delete?");
        if (x)
            return true;
        else
            return false;
    }
</script>
<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>

